{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "  a",
    "ha ",
    "   "
  ],
  "key": {
    "h": {
      "tag": "fun_filled:tools/hammers"
    },
    "a": {
      "item": "minecraft:dark_oak_planks"
    }
  },
  "result": {
    "item": "kubejs:dark_oak_rod"
  }
} 